#! /bin/bash

if [ ! -e /opt/etc/.first_boot ]; then

/usr/sbin/groupmod -A app weston-launch

# Temporary work around for bug in filesystem package resulting in the 'app' user home
# directory being only readable by root
/usr/bin/chown -R app:app /opt/home/app

# Since weston-launch runs with the "User" label, the app
# home dir must have the same label
/usr/bin/chsmack -a User /opt/home/app

#could menu screen start without this conf, depends on Weston auto launched.
vconftool set -ft string file/private/org.tizen.menu-screen/engine "wayland_egl" -i -u 5000 -f

#Need this for enable sdb, to remove this if org.tizen.setting installed
vconftool set -t int memory/setting/usb_mode "-1" -i -f
vconftool set -t int memory/setting/usb_sel_mode "0" -i -f
vconftool set -t int memory/setting/usb_in_mode_change "0" -i -f

touch /opt/etc/.first_boot

fi

